<?xml version="1.0" encoding="ISO-8859-1"?>
<OMSchemaRequest Class="OMSchemaRequest">
  <SchemaRequest Id="4299" Name="Unicat.ServiceAccounts.ChangePassword" Version="60" Enabled="True" Hidden="False" Pause="0" Mail="False" SortOrder="0" Exclusive="no" ShowMenu="False" Archive="True" OMVersion="260384688" ExportDateTime="2018-01-26T14:34:55" Scope="Unicat.Setup">
    <DisplayName>
      <english>Unicat.ServiceAccounts.ChangePassword</english>
      <german>Unicat.ServiceAccounts.ChangePassword</german>
    </DisplayName>
    <Description>
      <english>
      </english>
      <german>
      </german>
    </Description>
    <Templates>
      <Template Id="4334" Name="standard" Group_Id="0" AcknowledgeRequired="False" AcknowledgeMail="False" AcknowledgeGroup="0" Everyone="False">
        <DisplayName>
          <english>standard</english>
          <german>standard</german>
        </DisplayName>
        <Description>
          <english>
          </english>
          <german>
          </german>
        </Description>
        <Registers>
          <Register Id="46466" Name="localhost" Typ="string" SortOrder="1" Remark="" MandatorSecurityCheck="False" Register1="0" Register2="0" RegisterOperation="">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <RegisterData Process_Id="1" ProcessName="Constant" Data="localhost" Group_Id="0" AttributeName="" RegisterPosition="" ProcessPart="0" />
          </Register>
          <Register Id="46467" Name="Request.DBServer" Typ="string" SortOrder="2" Remark="" MandatorSecurityCheck="False" Register1="0" Register2="0" RegisterOperation="">
            <DisplayName>
              <english>Request.DBServer</english>
              <german>Request.DBServer</german>
            </DisplayName>
            <RegisterData Process_Id="1" ProcessName="Constant" Data="{dbserver}" Group_Id="0" AttributeName="" RegisterPosition="" ProcessPart="1" />
          </Register>
          <Register Id="46468" Name="Request.Database" Typ="string" SortOrder="3" Remark="" MandatorSecurityCheck="False" Register1="0" Register2="0" RegisterOperation="">
            <DisplayName>
              <english>Request.Database</english>
              <german>Request.Database</german>
            </DisplayName>
            <RegisterData Process_Id="1" ProcessName="Constant" Data="{OMDatabase}" Group_Id="0" AttributeName="" RegisterPosition="" ProcessPart="1" />
          </Register>
          <Register Id="46469" Name="requestschema.name" Typ="string" SortOrder="4" Remark="" MandatorSecurityCheck="False" Register1="0" Register2="0" RegisterOperation="">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <RegisterData Process_Id="1" ProcessName="Constant" Data="Unicat.ServiceAccounts.ChangePassword" Group_Id="0" AttributeName="" RegisterPosition="" ProcessPart="1" />
          </Register>
          <Register Id="46470" Name="Get.QueueServer" Typ="string" SortOrder="5" Remark="" MandatorSecurityCheck="False" Register1="0" Register2="0" RegisterOperation="">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <RegisterData Process_Id="2" ProcessName="VB-Script" Data="sResult = &quot;&quot;&#xD;&#xA;set oOMConfiguration = oHDB.GetObjectByPath(&quot;OMConfiguration(cname=OMConfiguration)&quot;)&#xD;&#xA;if not oOMConfiguration is nothing then&#xD;&#xA;	sQueueServers = oOMConfiguration(&quot;QueueServer&quot;)&#xD;&#xA;    sDedicatedQueueServers = oOMConfiguration(&quot;DedicatedQueueServer&quot;)&#xD;&#xA;    sServers = oHDB.Trim(sQueueServers &amp; &quot;|&quot; &amp; sDedicatedQueueServers,&quot;|&quot;)&#xD;&#xA;    for each sPart in split(sServers,&quot;|&quot;)&#xD;&#xA;    	sResult = sResult &amp; oHDB.Trim(split(sPart,&quot;[&quot;)(0),&quot; &quot;) &amp; &quot;~&quot;&#xD;&#xA;    next&#xD;&#xA;end if&#xD;&#xA;&#xD;&#xA;{Get.QueueServer} = oHDB.Trim(oHDB.ListDistinct(sResult,&quot;~&quot;),&quot;~&quot;)" Group_Id="0" AttributeName="" RegisterPosition="" ProcessPart="1" />
          </Register>
          <Register Id="46471" Name="Get.ServiceAccounts" Typ="string" SortOrder="6" Remark="" MandatorSecurityCheck="False" Register1="0" Register2="0" RegisterOperation="">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <RegisterData Process_Id="2" ProcessName="VB-Script" Data="sSQL = &quot;select [account] from tblCredentials&quot;&#xD;&#xA;&#xD;&#xA;for each sAccount in oHDB.SQLExecuteList(sSQL)&#xD;&#xA;	sResult = sResult &amp; lcase(sAccount) &amp; &quot;~&quot;&#xD;&#xA;next&#xD;&#xA;{Get.ServiceAccounts} = oHDB.ListDistinct(sResult,&quot;~&quot;)" Group_Id="0" AttributeName="" RegisterPosition="" ProcessPart="1" />
          </Register>
          <Register Id="46472" Name="NextRequestStart" Typ="string" SortOrder="7" Remark="" MandatorSecurityCheck="False" Register1="0" Register2="0" RegisterOperation="">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <RegisterData Process_Id="7" ProcessName="TextBuilder" Data="set oHDB = CreateObject(&quot;HDBCom.ComHDB&quot;)&#xD;&#xA;oHDB.Hostname = &quot;{Request.DBServer}&quot;&#xD;&#xA;oHDB.Database = &quot;{Request.Database}&quot;&#xD;&#xA;&#xD;&#xA;sTime = oHDB.HDBQuery(&quot;OMConfiguration(cname=OMConfiguration)|SAC_Time&quot;)&#xD;&#xA;if oHDB.IsTrue(IsDate(sTime)) then&#xD;&#xA;	sSchemaRequest = &quot;{requestschema.name}&quot;&#xD;&#xA;	sParams = &quot;&quot;&#xD;&#xA;&#xD;&#xA;	Result = &quot;0&quot;&#xD;&#xA;	dtNow = now()&#xD;&#xA;&#xD;&#xA;	dtNow = dtNow + CInt(oHDB.HDBQuery(&quot;OMConfiguration(cname=OMConfiguration)|SAC_Interval&quot;))&#xD;&#xA;&#xD;&#xA;	TargetDate = oHDB.FormatDateTime(dtNow,&quot;yyyy-MM-dd&quot;) &amp; &quot; &quot; &amp; sTime&#xD;&#xA;&#xD;&#xA;	Count = oHDB.SQLExecuteScalar(&quot;Select Count(*) from tblQueueRequest where RequestSchema_Id = (Select [id] from tblSchemaRequest where Name = '&quot; &amp; sSchemaRequest &amp; &quot;') and [Status] = 'Acknowledged' and [WhenToDo] = Convert(datetime, '&quot; &amp; TargetDate &amp; &quot;')&quot;)&#xD;&#xA;&#xD;&#xA;	if (CStr(Count) &lt;&gt; &quot;0&quot;) then&#xD;&#xA;	 TargetDate = &quot;&quot;&#xD;&#xA;	end if&#xD;&#xA;&#xD;&#xA;	if (TargetDate &lt;&gt; &quot;&quot;) then&#xD;&#xA;	 call oHDB.Impersonate(&quot;Host(.)&quot;)&#xD;&#xA;	 call oHDB.RequestInQueue(TargetDate, sSchemaRequest, &quot;standard&quot;, sParams)&#xD;&#xA;	 if oHDB.LastError &lt;&gt; &quot;&quot; then&#xD;&#xA;	  wscript.echo oHDB.LastError&#xD;&#xA;	 else&#xD;&#xA;	  wscript.echo &quot;Request &quot; &amp; sSchemaRequest &amp; &quot; scheduled for &quot; &amp; TargetDate&#xD;&#xA;	 end if&#xD;&#xA;	 oHDB.ImpersonateUndo&#xD;&#xA;	end if&#xD;&#xA;else&#xD;&#xA;	call Err.Raise(60002,&quot;Time for next inqueue&quot;,&quot;The value entered into the OMConfiguration attribute 'SAC_Time' is not in a valid time format. Please enter a value in the format hh:mm:ss&quot;)&#xD;&#xA;end if&#xD;&#xA;" Group_Id="0" AttributeName="" RegisterPosition="" ProcessPart="1" />
          </Register>
          <Register Id="46473" Name="InitialScript.vbs" Typ="string" SortOrder="8" Remark="" MandatorSecurityCheck="False" Register1="0" Register2="0" RegisterOperation="">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <RegisterData Process_Id="7" ProcessName="TextBuilder" Data="set oHDB=CreateObject(&quot;HDBCOM.ComHDB&quot;)&#xD;&#xA;oHDB.Hostname = &quot;{Request.DBServer}&quot;&#xD;&#xA;oHDB.Database = &quot;{Request.Database}&quot;&#xD;&#xA;&#xD;&#xA;sDate = &quot;19000101000000&quot;&#xD;&#xA;for each sSA in split(&quot;{Get.ServiceAccounts}&quot;,&quot;~&quot;)&#xD;&#xA;	set oADAccount = oHDB.GetObjectByPath(&quot;Account(FullAccount=&quot; &amp; sSA &amp; &quot;)&quot;)&#xD;&#xA;    if not oADAccount is nothing then&#xD;&#xA;		if not oHDB.ObjectExistByPath(&quot;OMServiceAccount(cname=&quot; &amp; sSA &amp; &quot;)&quot;) then&#xD;&#xA;			set oSA = oHDB.CreateObjectbyPath(&quot;OMConfiguration(OMConfiguration)|OMServiceAccount(cname=&quot; &amp; sSA &amp; &quot;)&quot;)&#xD;&#xA;			if IsDate(oADAccount(&quot;pwdLastSet&quot;)) then&#xD;&#xA;				call oSA.SetAttributeValueByName(&quot;pwdLastSet&quot;,oHDB.FormatDateTime(oADAccount(&quot;pwdLastSet&quot;),&quot;yyyyMMddHHmmss&quot;))&#xD;&#xA;			else&#xD;&#xA;				Do While oHDB.IsTrue(oHDB.ObjectExistByPath(&quot;OMServiceAccount(pwdLastSet=&quot; &amp; sDate &amp; &quot;)&quot;))&#xD;&#xA;					sDate = sDate + 1&#xD;&#xA;				Loop&#xD;&#xA;				call oSA.SetAttributeValueByName(&quot;pwdLastSet&quot;,sDate)&#xD;&#xA;			end if&#xD;&#xA;		end if&#xD;&#xA;	end if&#xD;&#xA;next&#xD;&#xA;&#xD;&#xA;for each oSAcc in oHDB.GetObjectListByPath(&quot;OMServiceAccount(*)&quot;)&#xD;&#xA;	if not oHDB.ListContainsList(&quot;{Get.ServiceAccounts}&quot;,oSAcc.CName,&quot;~&quot;) then&#xD;&#xA;		call oHDB.DeleteObjectsByPath(&quot;OMServiceAccount(cname=&quot; &amp; oSAcc.CName &amp; &quot;)&quot;)&#xD;&#xA;		wscript.echo &quot;Deleted OMServiceAccount '&quot; &amp; oSAcc.CName &amp; &quot;' because it is no longer in use.&quot;&#xD;&#xA;	end if&#xD;&#xA;next&#xD;&#xA;" Group_Id="0" AttributeName="" RegisterPosition="" ProcessPart="1" />
          </Register>
          <Register Id="46474" Name="Waittime" Typ="string" SortOrder="9" Remark="" MandatorSecurityCheck="False" Register1="0" Register2="0" RegisterOperation="">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <RegisterData Process_Id="2" ProcessName="VB-Script" Data="sWait = CInt(oHDB.HDBQuery(&quot;OMConfiguration(cname=OMConfiguration)|SAC_Waittime&quot;))&#xD;&#xA;sResult = sWait * 60&#xD;&#xA;{Waittime} = sResult" Group_Id="0" AttributeName="" RegisterPosition="" ProcessPart="1" />
          </Register>
          <Register Id="46475" Name="StopServices.vbs" Typ="string" SortOrder="10" Remark="" MandatorSecurityCheck="False" Register1="0" Register2="0" RegisterOperation="">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <RegisterData Process_Id="7" ProcessName="TextBuilder" Data="set oHDB=CreateObject(&quot;HDBCOM.ComHDB&quot;)&#xD;&#xA;oHDB.Hostname = &quot;{Request.DBServer}&quot;&#xD;&#xA;oHDB.Database = &quot;{Request.Database}&quot;&#xD;&#xA;&#xD;&#xA;for each sServer in split(&quot;{Get.QueueServer}&quot;,&quot;~&quot;) &#xD;&#xA;	set oComputer = oHDB.GetComputer(sServer)&#xD;&#xA;	if not oComputer is nothing then&#xD;&#xA;		if oHDB.IsTrue(oComputer.PingIsAlive) then&#xD;&#xA;			set oHost = oHDB.GetObjectByPath(&quot;Host(cname=&quot; &amp; sServer &amp; &quot;)&quot;)&#xD;&#xA;			if not oHost is nothing then&#xD;&#xA;				sStatus = oComputer.GetServiceState(&quot;OMDispatcher&quot;)&#xD;&#xA;                call oHost.SetAttributeValueByName(&quot;Dispatcherstatus&quot;,sStatus)&#xD;&#xA;				if lcase(sStatus) = &quot;running&quot; then&#xD;&#xA;					call oComputer.ServiceStop(&quot;OMDispatcher&quot;)&#xD;&#xA;					if oComputer.LastError &lt;&gt; &quot;&quot; then&#xD;&#xA;						wscript.echo &quot;Error stopping dispatcher service on host '&quot; &amp; oHost.CName &amp; &quot;': &quot; &amp; oComputer.LastError&#xD;&#xA;					else&#xD;&#xA;						wscript.echo &quot;Service 'OMDispatcher' stopped on host '&quot; &amp; oHost.CName &amp; &quot;'&quot;&#xD;&#xA;					end if&#xD;&#xA;				end if&#xD;&#xA;			end if&#xD;&#xA;		end if&#xD;&#xA;	end if&#xD;&#xA;next&#xD;&#xA;&#xD;&#xA;sCountTotal = 2&#xD;&#xA;Do While sCountTotal &gt; 1&#xD;&#xA;	sCountTotal = 0&#xD;&#xA;	for each strComputer in split(&quot;{Get.QueueServer}&quot;,&quot;~&quot;)&#xD;&#xA;		sCountSingle = 0&#xD;&#xA;		set oComputer = oHDB.GetComputer(strComputer)&#xD;&#xA;		if not oComputer is nothing then&#xD;&#xA;			if oHDB.IsTrue(oComputer.PingIsAlive) then&#xD;&#xA;				sCountSingle = oComputer.ProcessIds(&quot;OMExecute.exe&quot;).Count&#xD;&#xA;			end if&#xD;&#xA;		end if		&#xD;&#xA;		sCountTotal = sCountTotal + sCountSingle		&#xD;&#xA;    next&#xD;&#xA;Loop&#xD;&#xA;&#xD;&#xA;wscript.echo &quot;All OMExecutes finished&quot;" Group_Id="0" AttributeName="" RegisterPosition="" ProcessPart="1" />
          </Register>
          <Register Id="46476" Name="ResetPassword.vbs" Typ="string" SortOrder="11" Remark="" MandatorSecurityCheck="False" Register1="0" Register2="0" RegisterOperation="">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <RegisterData Process_Id="7" ProcessName="TextBuilder" Data="set oHDB=CreateObject(&quot;HDBCOM.ComHDB&quot;)&#xD;&#xA;oHDB.Hostname = &quot;{Request.DBServer}&quot;&#xD;&#xA;oHDB.Database = &quot;{Request.Database}&quot;&#xD;&#xA;&#xD;&#xA;&#xD;&#xA;for each sDate in oHDB.GetAttributeValuesDistinct(&quot;OMServiceAccount&quot;,&quot;pwdLastSet&quot;)&#xD;&#xA;	arrData = arrData &amp; sDate &amp; &quot;,&quot;&#xD;&#xA;next&#xD;&#xA;&#xD;&#xA;arrData = Array(oHDB.Trim(arrData,&quot;,&quot;))&#xD;&#xA;&#xD;&#xA;&#xD;&#xA;For i = LBound(arrData) to UBound(arrData)&#xD;&#xA;	For j = LBound(arrData) to UBound(arrData)&#xD;&#xA;		If j &lt;&gt; UBound(arrData) Then&#xD;&#xA;			If arrData(j) &gt; arrData(j + 1) Then&#xD;&#xA;				TempValue = arrData(j + 1)&#xD;&#xA;				arrData(j + 1) = arrData(j)&#xD;&#xA;				arrData(j) = TempValue&#xD;&#xA;			End If&#xD;&#xA;		End If&#xD;&#xA;	Next&#xD;&#xA;Next&#xD;&#xA;&#xD;&#xA;for each s in arrdata&#xD;&#xA;	sTimes = sTimes &amp; s &amp; &quot;,&quot;&#xD;&#xA;next&#xD;&#xA;sTimes = oHDB.Trim(sTimes,&quot;,&quot;)&#xD;&#xA;&#xD;&#xA;sCount = CInt(oHDB.HDBQuery(&quot;OMConfiguration(cname=OMConfiguration)|SAC_UserCount&quot;))&#xD;&#xA;if sCount &gt; 0 then&#xD;&#xA;	i = 0&#xD;&#xA;	for each t in split(sTimes,&quot;,&quot;)&#xD;&#xA;		set oServiceAccount = oHDB.GetObjectByPath(&quot;OMServiceAccount(pwdLastSet=&quot; &amp; t &amp; &quot;)&quot;)&#xD;&#xA;		if not oServiceAccount is nothing then&#xD;&#xA;			set oAccount = oHDB.GetObjectByPath(&quot;Account(FullAccount=&quot; &amp; oServiceAccount.CName &amp; &quot;)&quot;)&#xD;&#xA;			if not oAccount is nothing then&#xD;&#xA;				sPWD = oHDB.GetGlobalRegisterValue(&quot;PwdGenerator&quot;)&#xD;&#xA;				sPWDEscaped = oHDB.EscapeNameValue(sPWD)				&#xD;&#xA;				wscript.echo &quot; Password: &quot; &amp; sPWD&#xD;&#xA;				call oHDB.RunModuleFunctionVB(&quot;NSAD.AD.ADSetPassword&quot;,&quot;LDAPPath={&quot; &amp; oAccount(&quot;LDAP&quot;) &amp; &quot;},PWD={&quot; &amp; sPWDEscaped &amp; &quot;},EnforcePolicy={}&quot;,&quot;&quot;)&#xD;&#xA;				if oHDB.LastError = &quot;&quot; then&#xD;&#xA;					wscript.echo &quot;Changed password for service account '&quot; &amp; oServiceAccount.CName &amp; &quot;'&quot;&#xD;&#xA;					call oServiceAccount.SetAttributeValueByName(&quot;pwdEncrypted&quot;,oHDB.Encrypt(sPWD))&#xD;&#xA;					call oServiceAccount.SetAttributeValueByName(&quot;pwdLastSet&quot;,oHDB.FormatDateTime(now(),&quot;yyyyMMddHHmmss&quot;))             &#xD;&#xA;					sSQL = &quot;select [object_id] from tblCredentials where [account] = '&quot; &amp; oServiceAccount.CName &amp; &quot;'&quot;&#xD;&#xA;					for each id in oHDB.SQLExecuteList(sSQL)&#xD;&#xA;						set oObj = oHDB.GetObjectByPath(id)&#xD;&#xA;						if not oObj is nothing then&#xD;&#xA;							call oObj.SetCredentials(oServiceAccount.CName,sPWD)&#xD;&#xA;							if oHDB.LastError &lt;&gt; &quot;&quot; then&#xD;&#xA;								Call err.Raise(60002,&quot;Set credentials&quot;,&quot;Error changing credentials for &quot; &amp; oObj.Classname &amp; &quot; '&quot; &amp; oObj.CName &amp; &quot;': &quot; &amp; oHDB.LastError)&#xD;&#xA;							else&#xD;&#xA;								wscript.echo &quot;Changed credentials for &quot; &amp; oObj.Classname &amp; &quot; '&quot; &amp; oObj.CName &amp; &quot;'&quot;&#xD;&#xA;							end if&#xD;&#xA;						end if&#xD;&#xA;					next&#xD;&#xA;				else&#xD;&#xA;					Call err.Raise(60002,&quot;Change password&quot;,&quot;Error changing password for user '&quot; &amp; oAccount(&quot;FullAccount&quot;) &amp; &quot;': &quot; &amp; oHDB.LastError)&#xD;&#xA;				end if&#xD;&#xA;			end if&#xD;&#xA;		end if&#xD;&#xA;		i = i + 1&#xD;&#xA;		if i = sCount then&#xD;&#xA;			Exit For&#xD;&#xA;		else&#xD;&#xA;			wscript.echo &quot;---------------------------------------------------------------&quot;&#xD;&#xA;		end if&#xD;&#xA;		wscript.sleep(2000)&#xD;&#xA;	next&#xD;&#xA;end if&#xD;&#xA;&#xD;&#xA;" Group_Id="0" AttributeName="" RegisterPosition="" ProcessPart="1" />
          </Register>
          <Register Id="46477" Name="StartServices.vbs" Typ="string" SortOrder="12" Remark="" MandatorSecurityCheck="False" Register1="0" Register2="0" RegisterOperation="">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <RegisterData Process_Id="7" ProcessName="TextBuilder" Data="set oHDB=CreateObject(&quot;HDBCOM.ComHDB&quot;)&#xD;&#xA;oHDB.Hostname = &quot;{Request.DBServer}&quot;&#xD;&#xA;oHDB.Database = &quot;{Request.Database}&quot;&#xD;&#xA;&#xD;&#xA;for each sServer in split(&quot;{Get.QueueServer}&quot;,&quot;~&quot;)&#xD;&#xA;    set oHost = oHDB.GetObjectByPath(&quot;Host(cname=&quot; &amp; sServer &amp; &quot;)&quot;)&#xD;&#xA;    if not oHost is nothing then&#xD;&#xA;        sStatus = oHost(&quot;Dispatcherstatus&quot;)&#xD;&#xA;        if lcase(sStatus) = &quot;running&quot; then&#xD;&#xA;            set oComputer = oHDB.GetComputer(sServer)&#xD;&#xA;            if oHDB.IsTrue(oComputer.PingIsAlive) then&#xD;&#xA;                call oComputer.ServiceStart(&quot;OMDispatcher&quot;)&#xD;&#xA;				if oComputer.LastError &lt;&gt; &quot;&quot; then&#xD;&#xA;					wscript.echo &quot;Error starting dispatcher service on host '&quot; &amp; oHost.CName &amp; &quot;': &quot; &amp; oComputer.LastError&#xD;&#xA;				else&#xD;&#xA;					wscript.echo &quot;Service 'OMDispatcher' started on host '&quot; &amp; oHost.CName &amp; &quot;'&quot;&#xD;&#xA;				end if&#xD;&#xA;            end if&#xD;&#xA;        end if&#xD;&#xA;    end if&#xD;&#xA;next" Group_Id="0" AttributeName="" RegisterPosition="" ProcessPart="1" />
          </Register>
          <Register Id="46478" Name="display" Typ="string" SortOrder="13" Remark="" MandatorSecurityCheck="False" Register1="0" Register2="0" RegisterOperation="">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <RegisterData Process_Id="7" ProcessName="TextBuilder" Data="Regelmäßige Passwortänderung für Dienstkonten" Group_Id="0" AttributeName="" RegisterPosition="" ProcessPart="1" />
          </Register>
          <Register Id="46479" Name="Check.OMConfiguration" Typ="string" SortOrder="14" Remark="" MandatorSecurityCheck="False" Register1="0" Register2="0" RegisterOperation="">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <RegisterData Process_Id="2" ProcessName="VB-Script" Data="set oOMConfiguration = oHDB.GetObjectByPath(&quot;OMConfiguration(cname=OMConfiguration)&quot;)&#xD;&#xA;if not oOMConfiguration is nothing then&#xD;&#xA;	sInterval = oOMConfiguration(&quot;SAC_Interval&quot;)&#xD;&#xA;    sTime = oOMConfiguration(&quot;SAC_Time&quot;)&#xD;&#xA;    sUserCount = oOMConfiguration(&quot;SAC_UserCount&quot;)&#xD;&#xA;    sWaittime = oOMConfiguration(&quot;SAC_Waittime&quot;)    &#xD;&#xA;    if sInterval = &quot;&quot; then&#xD;&#xA;    	sResult = &quot;Das Attribut 'SAC_Interval' an der Klasse OMConfiguration ist nicht ausgefüllt. Bitte tragen Sie einen gültigen numerischen Wert ein, um festzulegen, in welchem Intervall der Antrag ausgeführt werden soll.&quot;&#xD;&#xA;    else&#xD;&#xA;    	if not IsNumeric(sInterval) then&#xD;&#xA;        	sResult = &quot;Der Wert im Attribut 'SAC_Interval' ist nicht numerisch.&quot;&#xD;&#xA;        end if&#xD;&#xA;    end if&#xD;&#xA;    if sTime = &quot;&quot; then&#xD;&#xA;    	sResult = &quot;Das Attribut 'SAC_Time' an der Klasse OMConfiguration ist nicht ausgefüllt. Bitte tragen Sie eine valide Uhrzeit (hh:mm:ss) ein, um festzulegen, um wieviel Uhr der Antrag ausgeführt werden soll.&quot;&#xD;&#xA;    else&#xD;&#xA;    	if not IsDate(sTime) then&#xD;&#xA;        	sResult = &quot;Der Wert im Attribut 'SAC_Time' ist keine valide Uhrzeit.&quot;&#xD;&#xA;        end if&#xD;&#xA;    end if&#xD;&#xA;    if sUserCount = &quot;&quot; then&#xD;&#xA;    	sResult = &quot;Das Attribut 'SAC_UserCount' an der Klasse OMConfiguration ist nicht ausgefüllt. Bitte tragen Sie einen gültigen numerischen Wert ein, um festzulegen, für wieviele Benutzer das Passwort in einem Antragsdurchlauf geändert werden soll.&quot;&#xD;&#xA;    else&#xD;&#xA;    	if not IsNumeric(sUserCount) then&#xD;&#xA;        	sResult = &quot;Der Wert im Attribut 'SAC_UserCount' ist nicht numerisch.&quot;&#xD;&#xA;        end if&#xD;&#xA;    end if&#xD;&#xA;    if sWaittime = &quot;&quot; then&#xD;&#xA;    	sResult = &quot;Das Attribut 'SAC_Waittime' an der Klasse OMConfiguration ist nicht ausgefüllt. Bitte tragen Sie einen gültigen numerischen Wert ein, um festzulegen, wieviele Minuten der Antrag darauf warten soll, dass alle OMExecutes beendet wurden.&quot;&#xD;&#xA;    else&#xD;&#xA;    	if not IsNumeric(sWaittime) then&#xD;&#xA;        	sResult = &quot;Der Wert im Attribut 'SAC_Waittime' ist nicht numerisch.&quot;&#xD;&#xA;        end if&#xD;&#xA;    end if       &#xD;&#xA;end if&#xD;&#xA;{Check.OMConfiguration} = sResult" Group_Id="0" AttributeName="" RegisterPosition="" ProcessPart="1" />
          </Register>
        </Registers>
      </Template>
    </Templates>
    <EOs>
      <EO Id="8270" EO="NSDISPATCHER.DISPATCHER.OMRaiseError" ProcessOrder="1" CancelIfFailed="False" BreakIfFailed="True" SkipIfFailed="False" RunOnlyIfFailed="False" RetryCount="1" RetryIntervall="0" Icon="" IgnoreError="False" Register1="46479" Register2="0" RegisterOperation="isntEmpty" Disabled="False" AlternateCredentials="" RunRejected="False">
        <DisplayName>
          <english>Unbekannte EO: NSDISPATCHER.DISPATCHER.OMRaiseError</english>
          <german>
          </german>
        </DisplayName>
        <Description>
          <english>
          </english>
          <german>
          </german>
        </Description>
        <Text>
          <english>
          </english>
          <german>
          </german>
        </Text>
        <Params>
          <Message Id="27387" Name="Message" Register_Id="46479" Icon="" Required="False" Type="string">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <Description>
              <english>
              </english>
              <german>
              </german>
            </Description>
          </Message>
        </Params>
      </EO>
      <EO Id="8271" EO="NSOS.OS.OSExecuteScript" ProcessOrder="2" CancelIfFailed="False" BreakIfFailed="True" SkipIfFailed="False" RunOnlyIfFailed="False" RetryCount="1" RetryIntervall="0" Icon="" IgnoreError="False" Register1="0" Register2="0" RegisterOperation="" Disabled="False" AlternateCredentials="" RunRejected="False">
        <DisplayName>
          <english>Unbekannte EO: NSOS.OS.OSExecuteScript</english>
          <german>
          </german>
        </DisplayName>
        <Description>
          <english>
          </english>
          <german>
          </german>
        </Description>
        <Text>
          <english>
          </english>
          <german>
          </german>
        </Text>
        <Params>
          <Hostname Id="27388" Name="Hostname" Register_Id="46466" Icon="" Required="False" Type="string">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <Description>
              <english>
              </english>
              <german>
              </german>
            </Description>
          </Hostname>
          <script Id="27389" Name="script" Register_Id="46472" Icon="" Required="False" Type="string">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <Description>
              <english>
              </english>
              <german>
              </german>
            </Description>
          </script>
          <script-RB Id="27390" Name="script-RB" Register_Id="0" Icon="" Required="False" Type="string">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <Description>
              <english>
              </english>
              <german>
              </german>
            </Description>
          </script-RB>
          <UseCredentials Id="27391" Name="UseCredentials" Register_Id="0" Icon="" Required="False" Type="string">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <Description>
              <english>
              </english>
              <german>
              </german>
            </Description>
          </UseCredentials>
          <Run32Bit Id="27392" Name="Run32Bit" Register_Id="0" Icon="" Required="False" Type="string">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <Description>
              <english>
              </english>
              <german>
              </german>
            </Description>
          </Run32Bit>
        </Params>
      </EO>
      <EO Id="8272" EO="NSOS.OS.OSExecuteScript" ProcessOrder="3" CancelIfFailed="False" BreakIfFailed="True" SkipIfFailed="False" RunOnlyIfFailed="False" RetryCount="1" RetryIntervall="0" Icon="" IgnoreError="False" Register1="0" Register2="0" RegisterOperation="" Disabled="False" AlternateCredentials="" RunRejected="False">
        <DisplayName>
          <english>Unbekannte EO: NSOS.OS.OSExecuteScript</english>
          <german>
          </german>
        </DisplayName>
        <Description>
          <english>
          </english>
          <german>
          </german>
        </Description>
        <Text>
          <english>
          </english>
          <german>
          </german>
        </Text>
        <Params>
          <Hostname Id="27393" Name="Hostname" Register_Id="46466" Icon="" Required="False" Type="string">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <Description>
              <english>
              </english>
              <german>
              </german>
            </Description>
          </Hostname>
          <script Id="27394" Name="script" Register_Id="46473" Icon="" Required="False" Type="string">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <Description>
              <english>
              </english>
              <german>
              </german>
            </Description>
          </script>
          <script-RB Id="27395" Name="script-RB" Register_Id="0" Icon="" Required="False" Type="string">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <Description>
              <english>
              </english>
              <german>
              </german>
            </Description>
          </script-RB>
          <UseCredentials Id="27396" Name="UseCredentials" Register_Id="0" Icon="" Required="False" Type="string">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <Description>
              <english>
              </english>
              <german>
              </german>
            </Description>
          </UseCredentials>
          <Run32Bit Id="27397" Name="Run32Bit" Register_Id="0" Icon="" Required="False" Type="string">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <Description>
              <english>
              </english>
              <german>
              </german>
            </Description>
          </Run32Bit>
        </Params>
      </EO>
      <EO Id="8273" EO="NSOS.OS.OSExecuteScriptTimed" ProcessOrder="4" CancelIfFailed="False" BreakIfFailed="False" SkipIfFailed="False" RunOnlyIfFailed="False" RetryCount="1" RetryIntervall="0" Icon="" IgnoreError="False" Register1="0" Register2="0" RegisterOperation="" Disabled="False" AlternateCredentials="" RunRejected="False">
        <DisplayName>
          <english>Unbekannte EO: NSOS.OS.OSExecuteScriptTimed</english>
          <german>
          </german>
        </DisplayName>
        <Description>
          <english>
          </english>
          <german>
          </german>
        </Description>
        <Text>
          <english>
          </english>
          <german>
          </german>
        </Text>
        <Params>
          <Hostname Id="27398" Name="Hostname" Register_Id="46466" Icon="" Required="False" Type="string">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <Description>
              <english>
              </english>
              <german>
              </german>
            </Description>
          </Hostname>
          <script Id="27399" Name="script" Register_Id="46475" Icon="" Required="False" Type="string">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <Description>
              <english>
              </english>
              <german>
              </german>
            </Description>
          </script>
          <script-RB Id="27400" Name="script-RB" Register_Id="0" Icon="" Required="False" Type="string">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <Description>
              <english>
              </english>
              <german>
              </german>
            </Description>
          </script-RB>
          <WaitSeconds Id="27401" Name="WaitSeconds" Register_Id="46474" Icon="" Required="False" Type="string">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <Description>
              <english>
              </english>
              <german>
              </german>
            </Description>
          </WaitSeconds>
          <Run32Bit Id="27402" Name="Run32Bit" Register_Id="0" Icon="" Required="False" Type="string">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <Description>
              <english>
              </english>
              <german>
              </german>
            </Description>
          </Run32Bit>
        </Params>
      </EO>
      <EO Id="8274" EO="NSOS.OS.OSExecuteScript" ProcessOrder="5" CancelIfFailed="False" BreakIfFailed="False" SkipIfFailed="True" RunOnlyIfFailed="False" RetryCount="1" RetryIntervall="0" Icon="" IgnoreError="False" Register1="0" Register2="0" RegisterOperation="" Disabled="False" AlternateCredentials="" RunRejected="False">
        <DisplayName>
          <english>Unbekannte EO: NSOS.OS.OSExecuteScript</english>
          <german>
          </german>
        </DisplayName>
        <Description>
          <english>
          </english>
          <german>
          </german>
        </Description>
        <Text>
          <english>
          </english>
          <german>
          </german>
        </Text>
        <Params>
          <Hostname Id="27403" Name="Hostname" Register_Id="46466" Icon="" Required="False" Type="string">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <Description>
              <english>
              </english>
              <german>
              </german>
            </Description>
          </Hostname>
          <script Id="27404" Name="script" Register_Id="46476" Icon="" Required="False" Type="string">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <Description>
              <english>
              </english>
              <german>
              </german>
            </Description>
          </script>
          <script-RB Id="27405" Name="script-RB" Register_Id="0" Icon="" Required="False" Type="string">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <Description>
              <english>
              </english>
              <german>
              </german>
            </Description>
          </script-RB>
          <UseCredentials Id="27406" Name="UseCredentials" Register_Id="0" Icon="" Required="False" Type="string">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <Description>
              <english>
              </english>
              <german>
              </german>
            </Description>
          </UseCredentials>
          <Run32Bit Id="27407" Name="Run32Bit" Register_Id="0" Icon="" Required="False" Type="string">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <Description>
              <english>
              </english>
              <german>
              </german>
            </Description>
          </Run32Bit>
        </Params>
      </EO>
      <EO Id="8275" EO="NSOS.OS.OSExecuteScript" ProcessOrder="6" CancelIfFailed="False" BreakIfFailed="False" SkipIfFailed="False" RunOnlyIfFailed="False" RetryCount="1" RetryIntervall="0" Icon="" IgnoreError="False" Register1="0" Register2="0" RegisterOperation="" Disabled="False" AlternateCredentials="" RunRejected="False">
        <DisplayName>
          <english>Unbekannte EO: NSOS.OS.OSExecuteScript</english>
          <german>
          </german>
        </DisplayName>
        <Description>
          <english>
          </english>
          <german>
          </german>
        </Description>
        <Text>
          <english>
          </english>
          <german>
          </german>
        </Text>
        <Params>
          <Hostname Id="27408" Name="Hostname" Register_Id="46466" Icon="" Required="False" Type="string">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <Description>
              <english>
              </english>
              <german>
              </german>
            </Description>
          </Hostname>
          <script Id="27409" Name="script" Register_Id="46477" Icon="" Required="False" Type="string">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <Description>
              <english>
              </english>
              <german>
              </german>
            </Description>
          </script>
          <script-RB Id="27410" Name="script-RB" Register_Id="0" Icon="" Required="False" Type="string">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <Description>
              <english>
              </english>
              <german>
              </german>
            </Description>
          </script-RB>
          <UseCredentials Id="27411" Name="UseCredentials" Register_Id="0" Icon="" Required="False" Type="string">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <Description>
              <english>
              </english>
              <german>
              </german>
            </Description>
          </UseCredentials>
          <Run32Bit Id="27412" Name="Run32Bit" Register_Id="0" Icon="" Required="False" Type="string">
            <DisplayName>
              <english>
              </english>
              <german>
              </german>
            </DisplayName>
            <Description>
              <english>
              </english>
              <german>
              </german>
            </Description>
          </Run32Bit>
        </Params>
      </EO>
    </EOs>
  </SchemaRequest>
</OMSchemaRequest>